public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/lesspipe/
Date: Thu, 11 Nov 2021 03:49:17 +0000 (UTC)	[thread overview]
Message-ID: <1636602057.f741f907744673e7472b2307c0d30f3e66db3887.sam@gentoo> (raw)

commit:     f741f907744673e7472b2307c0d30f3e66db3887
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 11 03:40:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Nov 11 03:40:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f741f907

app-text/lesspipe: add 1.91

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/lesspipe/Manifest             |  1 +
 app-text/lesspipe/lesspipe-1.91.ebuild | 61 ++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-text/lesspipe/Manifest b/app-text/lesspipe/Manifest
index 57deafb6e63..ea1f332fce7 100644
--- a/app-text/lesspipe/Manifest
+++ b/app-text/lesspipe/Manifest
@@ -1,3 +1,4 @@
 DIST lesspipe-1.85.tar.gz 120568 BLAKE2B d2c00f4121dc1bbed6b82220dac038068bbff87c732385399542cb212d4664c74d018db07829f90c38e938cb8623a443888c74b0d003fff725d0ddf207d8109e SHA512 420d087b9fc9783b9404855e4656b88c10852502bd2f1931978b7dc7ff15eba1a375b217184480f9b341322c12e7336d0861ba9c2f673f2b2a7fb340a381f5b2
 DIST lesspipe-1.89.tar.gz 121118 BLAKE2B e730b6e8afc767a0118abbcc6221d2c18467393119c26baf71b8758b5826ba52230526b9c5cd67704aadda07b63a62dfe006db10de1dbae0a73ede1885b03ed0 SHA512 b8d7c92d3dae77f2ccee8e314af4354fefc9f3aaec1566af02c9be2640f11ebf7ea1432334470c5d5dbce39d2ac7c3e9f4074bcf9ee4a502dc59b370a21b54f5
 DIST lesspipe-1.90.tar.gz 121098 BLAKE2B 269f4193f423e4ac5770171156e2f63d14966d7dcc77bf015c3100f281206424ef334acc1edf2edb6fe31f73aed80b9c3ba6c715d6e97993c5a90dfc1ce42405 SHA512 d402bd46c37d2509c90530e9da0560fa3e5da9002c37a515451a8ab9275576d1af44793a10914e74e804f10a3352439815c6763d2d77e5e41a0e9840286f518e
+DIST lesspipe-1.91.tar.gz 121965 BLAKE2B 93c169b2b1a81db7e7b569718a43152a8f2b9ea95258047a00ae4940509817a3eb861fdadb6bafc5861c49e805ce910348a57f634bdae57317811ac6fbfc6945 SHA512 d080ceaae019d8885a53c8abb26f4a159b78578f68c2b9a024960aa69509651e3b6638e78bd6e2e57c23d81123d9a3cab167736f253ba4276a3889890d594bd3

diff --git a/app-text/lesspipe/lesspipe-1.91.ebuild b/app-text/lesspipe/lesspipe-1.91.ebuild
new file mode 100644
index 00000000000..ecc7dc9e5b7
--- /dev/null
+++ b/app-text/lesspipe/lesspipe-1.91.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A preprocessor for less"
+HOMEPAGE="https://github.com/wofr06/lesspipe"
+SRC_URI="https://github.com/wofr06/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# Tests are broken in 1.84, 1.85.
+# Still fragile in 1.88. Passes when lesspipe is not installed.
+# ... and in 1.91, things are being overhauled still.
+# Please check again on bumps!
+# bug #734896
+RESTRICT="test"
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}
+	!<sys-apps/less-483-r1"
+
+src_prepare() {
+	default
+
+	# Drop a failing test. Not ideal, however:
+	# The test suite for this package is pretty fragile; it's more valuable
+	# to have _something_ failing/passing overall, than relying on a single
+	# test which seems to fail due to an unpredictable external command.
+	#sed -i -e '/#needs pstotext ps2ascii/d' TESTCMDS || die
+}
+
+src_configure() {
+	# Not an autoconf script.
+	./configure --fixed || die
+}
+
+src_compile() {
+	# Nothing to build (avoids the "all" target)
+	:
+}
+
+src_test() {
+	# LC_ALL=C manages to fix one test failure
+	LC_ALL=C ./test.pl -d || die "Tests failed!"
+}
+
+src_install() {
+	emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" install
+	einstalldocs
+}
+
+pkg_preinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "This package installs 'lesspipe.sh' which is distinct from 'lesspipe'."
+		elog "The latter is the Gentoo-specific version.  Make sure to update your"
+		elog "LESSOPEN environment variable if you wish to use this copy."
+	fi
+}


             reply	other threads:[~2021-11-11  3:49 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-11  3:49 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-29  5:16 [gentoo-commits] repo/gentoo:master commit in: app-text/lesspipe/ Jakov Smolić
2024-06-27  2:58 Sam James
2024-06-25  4:46 Sam James
2024-06-25  4:41 Sam James
2024-06-02  5:35 Sam James
2024-05-07 18:31 Arthur Zamarin
2024-04-15  6:51 Sam James
2024-04-15  6:51 Sam James
2024-03-14  7:58 Arthur Zamarin
2024-03-14  6:26 Sam James
2024-01-17  0:02 Sam James
2024-01-17  0:02 Sam James
2023-12-14  8:32 Sam James
2023-12-14  8:32 Sam James
2023-10-06  0:32 Sam James
2023-08-21  3:50 Sam James
2023-08-19 15:37 Arthur Zamarin
2023-06-27  7:14 Sam James
2023-06-26 16:47 Sam James
2023-03-04  6:17 Arthur Zamarin
2023-01-10 15:11 Sam James
2022-09-25  4:35 Sam James
2022-09-25  4:35 Sam James
2022-08-27 11:25 Sam James
2022-08-18  3:10 Sam James
2022-06-13 16:29 Sam James
2022-06-13  7:07 Agostino Sarubbo
2022-04-27  2:31 Sam James
2022-03-15 20:19 Sam James
2022-03-02  2:19 Sam James
2022-03-02  2:19 Sam James
2022-02-23  3:08 Sam James
2022-02-23  3:08 Sam James
2022-02-23  3:08 Sam James
2022-01-20 12:08 Sam James
2022-01-20 12:08 Sam James
2022-01-05  2:44 Sam James
2021-12-29  5:35 Sam James
2021-12-13  7:02 Agostino Sarubbo
2021-12-13  6:57 Agostino Sarubbo
2021-12-05  3:35 Sam James
2021-10-26  4:35 Sam James
2021-08-26 18:48 Sam James
2021-08-26 18:48 Sam James
2021-08-16  2:43 Sam James
2021-08-16  2:43 Sam James
2021-08-09  3:48 Sam James
2021-08-09  3:47 Sam James
2021-08-08  9:32 Lars Wendler
2021-07-22  7:25 Lars Wendler
2021-05-14 20:07 Sam James
2021-05-14 20:06 Sam James
2021-05-14 20:06 Sam James
2021-05-14 20:05 Sam James
2020-12-27 14:01 Fabian Groffen
2020-08-26 15:21 Thomas Deutschmann
2019-08-11  1:13 Thomas Deutschmann
2018-04-06 13:11 Lars Wendler
2018-04-06 13:11 Lars Wendler
2017-11-14 12:42 Manuel Rüger
2017-10-26 20:30 Thomas Deutschmann
2016-04-06 22:09 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636602057.f741f907744673e7472b2307c0d30f3e66db3887.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox